
QGIS Application - Bug report #4628

Measure area - result varies with ellipsoidal toggling & with no. of vertices in polygon

2011-12-10 04:22 AM - Steve Hartley

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 14529

Description

I'm running QGIS 1.7.2 on Win 2000.

Further to bug report no.4416.

This effect seems to occur whether starting with ellipsoidal on or off.  The first area (i.e. after right click to finish sketched polygon) in

"Total" box is roughly correct.  Toggling ellipsoidal then changes "Total" to a reduced amount, toggling again changes "Total" to a slightly

higher amount but doesn't return it to the first reading.  The effect is more pronounced with fewer vertices in the sketched polygon.  With 4

vertices the first toggling approximately halves "Total", and subsequent toggling changes it close to this halved quantity.  With 3 vertices,

the first toggling reduces it to 0.00, and further toggling still results in 0.00.

Associated revisions

Revision f1b58383 - 2014-06-12 12:28 PM - Nathan Woodrow

Merge pull request #1444 from avlisad/master

Improve mouse logic for measure tool. Fix #4628 Fix #10029

History

#1 - 2011-12-10 05:39 AM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #4252

#2 - 2011-12-11 12:41 AM - Alister Hood

This and #4416 are duplicates of each other, but are completely different from #4252

2024-04-25 1/1


